#!/bin/sh

LIMINE_VERSION="9.3.4"

if [ -e dependencies/.got-all ]; then
  echo already got dependencies.
  exit
fi

if [ -e dependencies ]; then
  echo it looks like we started getting the dependencies, and did not finish. delete the dependencies directory and run this again to try again.
  exit
fi

set -e

mkdir dependencies

cd dependencies
curl -L https://github.com/limine-bootloader/limine/archive/refs/tags/v${LIMINE_VERSION}-binary.tar.gz | tar xz
mv limine-${LIMINE_VERSION}-binary limine
make -C limine
cd ..

touch dependencies/.got-all
